package state51::Logger::Event::ExportBatchUploadStarted;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::ExportBatchUpload';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Export of batch %d started},
    attributes => [qw/ batch /],
};

__PACKAGE__->meta->make_immutable;

