package state51::Logger::Event::GreedbagCheckout::InvalidRequest;
use Moose;
use MooseX::Storage ();
use namespace::autoclean;

extends 'state51::Logger::Event::GreedbagCheckout';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => qq{Invalid request attempt for path: %s, %s},
    attributes    => [qw/path message/],
};

__PACKAGE__->meta->make_immutable;

1;
