package state51::Logger::Event::ImportFeed::ProcessOneBatch::Start;
use Moose;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event::ImportFeed::ProcessOneBatch';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
        format_string => q{About to try to process %s},
        attributes => [qw/ batch_path /],
    },
    'state51::Log::Message::Structured';

__PACKAGE__->meta->make_immutable;
1;

