package state51::Logger::Event::MailService::ManagementTool::Modify;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) %s mailservice: %s (%s)},
    attributes    => [qw/username role_id action mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
