package state51::Logger::Event::Role::Ceph;
use Moose::Role;
use MooseX::Types::Moose qw/ Str /;

# should this be merged with 'Mogile'?

use Sys::Hostname;

has key => (
    isa => Str,
    is  => 'ro',
);

has hostname => (
    isa => Str,
    is => 'ro',
    init_arg => undef,
    default => sub { (split('\.',Sys::Hostname::hostname()))[0] },
);

1;
