package state51::Logger::Event::Role::Mogile;
use Moose::Role;
use MooseX::Types::Moose qw/ Str /;

use Sys::Hostname;

has file_id => (
    isa => Str,
    is => 'ro',
    required => 0,
);

has key => (
    isa => Str,
    is  => 'ro',
);

has url => (
    isa => Str,
    is  => 'ro',
    required => 1,
);

has hostname => (
    isa => Str,
    is => 'ro',
    init_arg => undef,
    default => sub { (split('\.',Sys::Hostname::hostname()))[0] },
);

1;
