package state51::Logger::Event::Role::WebHit;
use Moose::Role;
use namespace::autoclean;

has [qw/path time queries/] => (
    is => 'ro',
    required => 1,
);

has vhost => (
    is => 'ro',
    default => 'unknown',
);

has username => (
    is => 'ro',
    default => 'unknown',
);

has geo_country => (
    is => 'ro',
    default => 'unknown',
);

has campaign => (
    is => 'ro',
    default => 'unknown',
);

1;
