package state51::Logger::Role::WithRetailer;
use Moose::Role;
use MooseX::Types::Moose qw/ Int /;
use namespace::clean -except => 'meta';

around append_routing_key => sub {
    my ($orig, $self, @args) = @_;
    my $k = $self->$orig(@args);
    $k .= '.' . $self->retailer if $self->retailer;
    return $k;
};

has retailer => (
    isa => Int,
    is => 'ro',
);

1;

