package state51::Logger::Event::Billable::EncodeCreated;
use Moose;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event::Billable';

has [
    qw/
      product_upc
      track_title
      encode_name
      isrc
      label_name
      external_id
      encode_family
      asset_controller
      asset_controller_parent
      /
] => ( is => 'ro', required => 1 );

__PACKAGE__->meta->make_immutable;

