package state51::Logger::Event::JobStarted;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::JobExecution';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Job %s started},
    attributes => [qw/ job /],
};

__PACKAGE__->meta->make_immutable;

